### Method

# FwupdPlugin Context add_compile_version

#### Declaration [src]

    void
    fu_context_add_compile_version (
      FuContext* self,
      const gchar* component_id,
      const gchar* version
    )

#### Description [src]

Sets a compile-time version of a specific dependency.

Available since: | 1.6.0

#### Parameters

`component_id` | `const gchar*`
| An AppStream component id, e.g. `org.gnome.Software`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`version` | `const gchar*`
| A version string, e.g. `1.2.3`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.